<?php
require'f_descarcari.php';
require'f_conectare.php';
conectare('cauta în descarcari','cauta-in-descarcari');
$titlu='Caută în descarcari';
$back[2]='<a href="/cautare">'.img('search.png',2).'Cautare</a>';
require'f_sus.php';
echo$div[4].img('search.png',2).'Caută în descarcari'.$div[5];
if($pmtext!=''||$go!='')
{
$go=rawurldecode($go);
if($pmtext!='')
$go=$pmtext;
$sin=(isset($_POST['sin'])?$_POST['sin']:$_GET['sin']);
$sor=(isset($_POST['sor'])?$_POST['sor']:$_GET['sor']);
$x2='?sin='.$sin.'&amp;sor='.$sor.'&amp;go='.rawurlencode($go);
$where_table=($sin==1||($sin==3&&$perm>0)?'`descarcari_fisiere`':'`descarcari_albume`');
$cond=($where_table=='`descarcari_fisiere`'?'`vizibil`>"0"&&':'').($sin==3&&$perm>0?'`link`':'`nume`');
if($sor==1)
$ord_fields='`nume`';
elseif($sor==2)
$ord_fields='`data`';
else
$ord_fields='`data`DESC ';
$elemente=$conn->query('SELECT COUNT(*)FROM'.$where_table.'WHERE'.$cond.'LIKE"%'.$go.'%"')->fetch_row()[0];
if($elemente>0)
{
require'f_paginare1.php';
$items=$conn->query('SELECT`id`,`nume`'.($sin==1||($sin==3&&$perm>0)?',`fid`':'').($sin==3&&$perm>0?',`link`,`descarcari`,`vizualizari`':'').'FROM'.$where_table.'WHERE'.$cond.'LIKE"%'.$go.'%"ORDER BY'.$ord_fields.'LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
echo$div[1].($sin==1||($sin==3&&$perm>0)?'<a href="/fisier/id/'.$item[0].'-'.seo($item[1]).'" title="Fișier '.htmlspecialchars($item[1].' - '.$conn->query('SELECT`nume`FROM`descarcari_albume`WHERE`id`="'.$item[2].'"')->fetch_row()[0]).'">'.htmlspecialchars($item[1]).'</a>'.($sin==3&&$perm>0?'<br /><a href="/admin-editeaza-fisiere-descarcari/album/'.$item[2].'-">Album</a><br />Link: <strong>'.htmlspecialchars($item[3]).'</strong><br />Descărcări: <strong>'.$item[4].'</strong><br />Vizualizări: <strong>'.$item[5].'</strong><br /><a href="/aprecieri-fisier/id/'.$item[0].'-'.seo($item[1]).'/tip/aprecieri">Aprecieri</a> <strong>'.$conn->query('SELECT COUNT(*)FROM`descarcari_aprecieri`WHERE`pid`="'.$item[0].'"&&`valoare`="1"')->fetch_row()[0].'</strong><br /><a href="/aprecieri-fisier/id/'.$item[0].'-'.seo($item[1]).'/tip/dezaprecieri">Dezaprecieri</a> <strong>'.$conn->query('SELECT COUNT(*)FROM`descarcari_aprecieri`WHERE`pid`="'.$item[0].'"&&`valoare`="2"')->fetch_row()[0].'</strong><br /><a href="/comentarii-fisier/id/'.$item[0].'-'.seo($item[1]).'">Comentarii</a> <strong>'.$conn->query('SELECT COUNT(*)FROM`descarcari_comentarii`WHERE`pid`="'.$item[0].'"')->fetch_row()[0].'</strong><br /><a href="/note-fisier/id/'.$item[0].'-'.seo($item[1]).'">Note</a> <strong>'.$conn->query('SELECT COUNT(*)FROM`descarcari_note`WHERE`pid`="'.$item[0].'"')->fetch_row()[0].'</strong><br /><a href="/admin-sterge-fisier/id/'.$item[0].'-'.seo($item[1]).'">șterge-l</a>':''):'<a href="/descarcari/album/'.$item[0].'-'.seo($item[1]).'">'.htmlspecialchars($item[1]).'</a>').$div[0];
}
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt rezultate!'.$div[0];
require'f_jos.php';
}
$form[0]='/cauta-in-descarcari" method="post';
$form[1]=1;
require'f_scris3.php';
$form[2]=$div[1].'Text:<br /><input name="pmtext" maxlength="77" />'.$div[0].$div[1].'Cauta in:<br />'.scris3('sin','1,,Nume fișiere::2,,Nume albume'.($perm>0?'::3,,Link-uri':''),'1').$div[0].$div[1].'Ordonare dupa:<br />'.scris3('sor','1,,Alfabet::2,,Data postării (ascendent)::3,,Data postării (descendent)','1').$div[0];
$form[3]='pmtext::sin::sor';
$form[4]='Cauta';
require'f_form.php';
require'f_jos.php';